Solved Porting Electrum Bitcoin wallet

pyc

New Member


Messages: 11

Hello!

Looked around a bit and realised it seems like FreeBSD is not having any Bitcoin wallet natively available? I would love to see Electrum ported or maybe some other Bitcoin wallet software which doesn't have to download the whole Bitcoin blockchain database...

Question number 2 is whether it is possible to compile or install Electrum on FreeBSD 8.4? I have one old Pentium MMX machine and managed to install 8.4 (9 and 10 failed because of some boot problems).

One more... is it possible to upgrade 8.4 to 9 or 8.4 to maybe even 10.

BTW, I'm fairly new around, please don't get mad at me because I may post stupid questions :). By far, FreeBSD is the best OS I've tried, I'm simply amazed and even considering making it my primary desktop.
 

junovitch@

Daemon
Developer

Reaction score: 625
Messages: 1,773

If anybody did the port for Electrum then it can certainly get added if a PR was created for it. It may be some time before it gets reviewed as there is a rather large backlog of PRs and I'll contribute as much as my time and sanity allow.

FreeBSD 8.4 is no longer supported as of earlier this year (https://www.FreeBSD.org/security/unsupported.html). There's no support for running ports on 8.x anymore and many ports have had any conditional code supported 8.x removed.

A freebsd-update(8) from 8.4 to a newer release should work just fine.
 

junovitch@

Daemon
Developer

Reaction score: 625
Messages: 1,773

Thanks! I should have searched for this before posting.

From 8 to 10 is possible, right?
Yes. You'll want to apply all the errata beforehand as there was a few for freebsd-update(8) that addressed upgrades to 10.x.

Since the finance/electrum is already in the ports collection we've covered the topic of this thread. If you have extra questions on freebsd-update(8) then please open a thread in installing/updating.
 
Top